// (C)2007 Attila Kovacs <attila@submm.caltech.edu>



public class PlateCarree extends SphericalProjection {

	public PlateCarree() {}

	public String getFitsID() { return fitsID; }

	public String getFullName() { return fullName; }

	@Override
	public final void getOffsets(double theta, double phi, CoordinatePair toOffset) {
		toOffset.x = phi;
		toOffset.y = theta;
	}

	@Override
	public final double phi(CoordinatePair offset) { 
		return offset.x;
	}

	@Override
	public final double theta(CoordinatePair offset) {
		return offset.y;
	}

	
	
	public final static String fitsID = "CAR";
	public final static String fullName = "Plate carree";
}
